Bug 1326876 - Please build wmctrl for EPEL7
Summary: Please build wmctrl for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: wmctrl
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-13 15:34 UTC by John Florian
Modified: 2016-08-17 23:20 UTC (History)
3 users (show)

Fixed In Version: wmctrl-1.07-12.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-17 23:20:38 UTC
Type: Bug


Attachments (Terms of Use)

Description John Florian 2016-04-13 15:34:39 UTC
Description of problem:
I've recently discovered the wonderful vim "autoswap" plugin[0] and to be effective this really needs the wmctrl executable to be available.  I'd like to be able to use the same vim configuration (in my NFS home dir) on both CentOS and Fedora hosts alike.

[0] https://github.com/gioele/vim-autoswap

Comment 1 John Florian 2016-06-26 15:09:17 UTC
PING.  Any chance that this can happen?

Comment 2 Harry Mallon 2016-06-30 09:24:11 UTC
Hi John. I also use this package on CentOS7 (we package it internally). I am in the process of trying to become a Fedora packager so that I can add the centOS/RHEL 7 branch to the repo.

Comment 3 Harry Mallon 2016-06-30 09:39:24 UTC
Further to the above, it seems unlikely I will get packager status without some fresh 'new' packages apparently. So consider this a +1.

Comment 4 Jens Petersen 2016-07-26 02:03:20 UTC
Apologies for taking so long. :-(

I requested a branch for epel7.

Comment 5 Harry Mallon 2016-07-26 15:33:19 UTC
Thanks Jens, I had pretty much given up hope on this.

Comment 6 Fedora Update System 2016-07-28 05:40:57 UTC
wmctrl-1.07-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1899051739

Comment 7 Jens Petersen 2016-07-28 05:43:03 UTC
You're welcome - sorry again for taking forever... :)

Comment 8 Fedora Update System 2016-07-29 07:19:20 UTC
wmctrl-1.07-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1899051739

Comment 9 John Florian 2016-08-11 23:41:29 UTC
Thank you Jens!  No worries here about the delay here -- I'm not much better in the timing of showing my gratitude or even getting a chance to try this until now.  :-)

Comment 10 Fedora Update System 2016-08-17 23:20:34 UTC
wmctrl-1.07-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.